Acontext
Disk

List disks

GET
/disk

List all disks under a project

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Query Parameters

user?string

User identifier to filter disks

limit?integer

Limit of disks to return, default 20. Max 200.

cursor?string

Cursor for pagination. Use the cursor from the previous response to get the next page.

time_desc?boolean

Order by created_at descending if true, ascending if false (default false)

Response Body

application/json

curl -X GET "https://loading/api/v1/disk"
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "has_more": true,
    "items": [
      {
        "created_at": "string",
        "id": "string",
        "project_id": "string",
        "updated_at": "string",
        "user_id": "string"
      }
    ],
    "next_cursor": "string"
  }
}